Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 360551 - Unable to mount 2 nfs shares at the same time from the same server - revert to kernel 2.6.20 fixes it
Summary: Unable to mount 2 nfs shares at the same time from the same server - revert t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Jeff Layton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-10-31 17:01 UTC by Rob Echlin
Modified: 2014-06-18 07:36 UTC (History)
2 users (show)

Fixed In Version: 2.6.23-ish kernels
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-21 12:30:50 UTC


Attachments (Terms of Use)

Description Rob Echlin 2007-10-31 17:01:12 UTC
Description of problem:
Unable to mount both of two mount points from one server.
Can mount either one.
Can unmount one, then mount the other, and then can't mount the first.


First noticed with autofs mounted shares, after doing an update.
Tested with settings in /etc/fstab and mounting manually.

Tested with the following STOPed: ypbind, yppasswd, autofs

Version-Release number of selected component (if applicable):
- Fedora Core (2.6.22.9-61.fc6)
- nfs-utils-1.0.10-14.fc6


How reproducible:
- Every time

Steps to Reproduce:
1. Two mount points from one server: /path/home, /path/tc
2. mount one (either one) - OK
3. mount other one - fails "busy or already mounted"
4. unmount the one that is mounted
5. now able to mount the other


  
Additional info:
Server is FC3, kernel 2.6.12-1.1381_FC3smp
RPM says:
system-config-nfs-1.2.8-1
nfs-utils-1.0.6-52

Workaround: 
1) Revert to older kernel on the client system:
- Fedora Core (2.6.20-1.2962.fc6)
2) enable "exclude=kernel kernel-devel" in yum.conf
- shoulda done that ages ago...

Comment 1 Chuck Ebbert 2007-10-31 17:11:07 UTC
Either use the "nosharecache" mount option or mount both shares with the same
mount options.

Comment 2 Rob Echlin 2007-10-31 18:16:08 UTC
This suggestion is relevant as one was mounted read-only and the other read-write.

However, I am unable to find this mount option in any of the man pages I looked at:
nfs (5), mount (5), fstab (5) and their info equivalents

I leave it to you guys to decide whether to move this bug to a documentation target.


Comment 3 Rob Echlin 2007-10-31 18:25:28 UTC
Found it in "man nfs" when I actually looked on the correct machine...

Comment 4 Jon Stanley 2008-01-08 01:51:31 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 5 Jeff Layton 2008-01-21 12:30:50 UTC
I *think* that with newer kernels, we spawn a new superblock on the fly when
necessary. So mounting with "nosharecache" is no longer necessary. I'm going to
close this bug as CURRENTRELEASE. Please reopen it if you're still having this
issue.




Note You need to log in before you can comment on or make changes to this bug.